import { Link } from "react-router-dom";
import BasicWindow from "../../Components/BasicWindow";

function AdminMenuPage(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">Administrator Menu</h1>
      <div className="border-4 border-black bg-white flex flex-col items-center justify-center min-h-[65vh] h-fit w-[50vw] rounded-3xl content-center overflow-scroll space-y-[10vh] p-[30px]">
        <Link to="/adminManageUser">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Manage Users
          </h1>
        </Link>
        <Link to="/adminManageProject">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Manage Projects
          </h1>
        </Link>
      </div>
    </>
  );

  const buttons = <></>;

  return <BasicWindow username="Admin" content={content} buttons={buttons} />;
}
export default AdminMenuPage;
